Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 11254)
@@ -51,6 +51,4 @@
     ICaptchaManager, IChangePassword)
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
-from waeup.kofa.browser.resources import (
-    warning, tabs, datatable)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.interfaces import(
@@ -85,6 +83,6 @@
     user = view.request.form.get('user', None)
     if user is None or localrole is None:
-        view.flash('No user selected.')
-        view.redirect(view.url(view.context, '@@manage')+'?tab%s' % tab)
+        view.flash('No user selected.', type='danger')
+        view.redirect(view.url(view.context, '@@manage')+'#tab%s' % tab)
         return
     role_manager = IPrincipalRoleManager(view.context)
@@ -94,5 +92,5 @@
     grok.getSite().logger.info(
         '%s - added: %s|%s' % (ob_class, user, localrole))
-    view.redirect(view.url(view.context, u'@@manage')+'?tab%s' % tab)
+    view.redirect(view.url(view.context, u'@@manage')+'#tab%s' % tab)
     return
 
@@ -100,6 +98,6 @@
     child_ids = view.request.form.get('role_id', None)
     if child_ids is None:
-        view.flash(_('No local role selected.'))
-        view.redirect(view.url(view.context, '@@manage')+'?tab%s' % tab)
+        view.flash(_('No local role selected.'), type='danger')
+        view.redirect(view.url(view.context, '@@manage')+'#tab%s' % tab)
         return
     if not isinstance(child_ids, list):
@@ -117,5 +115,6 @@
         except:
             view.flash('Could not remove %s: %s: %s' % (
-                    child_id, sys.exc_info()[0], sys.exc_info()[1]))
+                    child_id, sys.exc_info()[0], sys.exc_info()[1]),
+                    type='danger')
     if len(deleted):
         view.flash(
@@ -125,5 +124,5 @@
         grok.getSite().logger.info(
             '%s - removed: %s' % (ob_class, ', '.join(deleted)))
-    view.redirect(view.url(view.context, u'@@manage')+'?tab%s' % tab)
+    view.redirect(view.url(view.context, u'@@manage')+'#tab%s' % tab)
     return
 
@@ -133,7 +132,7 @@
         child_id = form['val_id']
     else:
-        view.flash(_('No item selected.'))
+        view.flash(_('No item selected.'), type='danger')
         if tab:
-            view.redirect(view.url(view.context, redirect)+'?tab%s' % tab)
+            view.redirect(view.url(view.context, redirect)+'#tab%s' % tab)
         else:
             view.redirect(view.url(view.context, redirect))
@@ -152,5 +151,5 @@
         except:
             view.flash('Could not delete %s: %s: %s' % (
-                    id, sys.exc_info()[0], sys.exc_info()[1]))
+                    id, sys.exc_info()[0], sys.exc_info()[1]), type='danger')
     if len(deleted):
         view.flash(_('Successfully removed: ${a}',
@@ -160,5 +159,5 @@
             '%s - removed: %s' % (ob_class, ', '.join(deleted)))
     if tab:
-        view.redirect(view.url(view.context, redirect)+'?tab%s' % tab)
+        view.redirect(view.url(view.context, redirect)+'#tab%s' % tab)
     else:
         view.redirect(view.url(view.context, redirect))
@@ -282,5 +281,6 @@
                             self.request.principal.id)
                         self.flash(
-                          _('Your personal data record is outdated. Please update.'))
+                          _('Your personal data record is outdated. Please update.'),
+                          type='warning')
                     self.redirect(self.application_url() + rel_link)
                     return
@@ -316,14 +316,16 @@
                         now < temp_password_dict.get('timestamp', now) + delta:
                         self.flash(
-                            _('Your account has been temporarily deactivated.'))
+                            _('Your account has been temporarily deactivated.'),
+                            type='warning')
                         return
                     # Now we know that the student is suspended.
                     comment = self._comment(student)
                     if comment:
-                        self.flash(comment)
+                        self.flash(comment, type='warning')
                     else:
-                        self.flash(_('Your account has been deactivated.'))
+                        self.flash(_('Your account has been deactivated.'),
+                                   type='warning')
                     return
-            self.flash(_('You entered invalid credentials.'))
+            self.flash(_('You entered invalid credentials.'), type='danger')
             return
 
@@ -441,5 +443,5 @@
             self.flash(_('Your message has been sent.'))
         else:
-            self.flash(_('A smtp server error occurred.'))
+            self.flash(_('A smtp server error occurred.'), type='danger')
         return
 
@@ -528,5 +530,4 @@
 
     def update(self, userid=None, adduser=None, manage=None, delete=None):
-        datatable.need()
         if manage is not None and userid is not None:
             self.redirect(self.url(userid) + '/@@manage')
@@ -588,5 +589,5 @@
             errors = validator.validate_password(password, password_ctl)
             if errors:
-                self.flash( ' '.join(errors))
+                self.flash( ' '.join(errors), type='danger')
                 return
         try:
@@ -601,5 +602,5 @@
         except KeyError:
             self.status = self.flash('The userid chosen already exists '
-                                  'in the database.')
+                                  'in the database.', type='danger')
             return
         self.redirect(self.url(self.context))
@@ -632,5 +633,5 @@
             errors = validator.validate_password(password, password_ctl)
             if errors:
-                self.flash( ' '.join(errors))
+                self.flash( ' '.join(errors), type='danger')
                 return
         changed_fields = self.applyData(self.context, **data)
@@ -744,5 +745,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
         self.hitlist = []
@@ -769,4 +769,5 @@
     form_fields = grok.AutoFields(IConfigurationContainer)
     form_fields['frontpage'].custom_widget = HTMLDisplayWidget
+
 
 class ConfigurationContainerManageFormPage(KofaEditFormPage):
@@ -784,16 +785,6 @@
         _('Add session configuration'),
         _('Remove selected')]
-    form_fields = grok.AutoFields(IConfigurationContainer).omit('frontpage_dict')
-
-    def update(self):
-        tabs.need()
-        self.tab1 = self.tab2 = ''
-        qs = self.request.get('QUERY_STRING', '')
-        if not qs:
-            qs = 'tab1'
-        setattr(self, qs, 'active')
-        datatable.need()
-        warning.need()
-        return super(ConfigurationContainerManageFormPage, self).update()
+    form_fields = grok.AutoFields(IConfigurationContainer).omit(
+        'frontpage_dict')
 
     def _frontpage(self):
@@ -857,12 +848,12 @@
                 ob_class, sessionconfiguration.academic_session))
         except KeyError:
-            self.flash(_('The session chosen already exists.'))
-            return
-        self.redirect(self.url(self.context, '@@index')+'?tab2')
+            self.flash(_('The session chosen already exists.'), type='danger')
+            return
+        self.redirect(self.url(self.context, '@@index')+'#tab2')
         return
 
     @action(_('Cancel'), validator=NullValidator)
     def cancel(self):
-        self.redirect(self.url(self.context, '@@index')+'?tab2')
+        self.redirect(self.url(self.context, '@@index')+'#tab2')
         return
 
@@ -885,10 +876,10 @@
     def save(self, **data):
         msave(self, **data)
-        self.redirect(self.url(self.context.__parent__, '@@index')+'?tab2')
+        self.redirect(self.url(self.context.__parent__, '@@index')+'#tab2')
         return
 
     @action(_('Cancel'), validator=NullValidator)
     def cancel(self):
-        self.redirect(self.url(self.context.__parent__, '@@index')+'?tab2')
+        self.redirect(self.url(self.context.__parent__, '@@index')+'#tab2')
         return
 
@@ -904,9 +895,4 @@
     pnav = 0
 
-    def update(self):
-        datatable.need()
-        warning.need()
-        return super(DatacenterPage, self).update()
-
     @jsaction(_('Remove selected'))
     def delFiles(self, **data):
@@ -915,5 +901,5 @@
             child_id = form['val_id']
         else:
-            self.flash(_('No item selected.'))
+            self.flash(_('No item selected.'), type='danger')
             return
         if not isinstance(child_id, list):
@@ -926,5 +912,6 @@
                 deleted.append(id)
             except OSError:
-                self.flash(_('OSError: The file could not be deleted.'))
+                self.flash(_('OSError: The file could not be deleted.'),
+                           type='danger')
                 return
         if len(deleted):
@@ -942,7 +929,10 @@
     label = _(u'Processed Files')
     pnav = 0
-
-    def update(self):
-        datatable.need()
+    cancel_button =_('Back to Data Center')
+
+    def update(self, CANCEL=None):
+        if CANCEL is not None:
+            self.redirect(self.url(self.context))
+            return
         return super(DatacenterFinishedPage, self).update()
 
@@ -955,5 +945,5 @@
     max_files = 20
     upload_button =_(u'Upload')
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def getPreviewHeader(self):
@@ -1027,5 +1017,5 @@
                     _('All import managers have been notified by email.'))
             else:
-                self.flash(_('An smtp server error occurred.'))
+                self.flash(_('An smtp server error occurred.'), type='danger')
             return
 
@@ -1035,5 +1025,6 @@
         if number_of_pendings > self.max_files:
             self.flash(
-                _('Maximum number of files in the data center exceeded.'))
+                _('Maximum number of files in the data center exceeded.'),
+                  type='danger')
             self.redirect(self.url(self.context))
             return
@@ -1046,8 +1037,8 @@
             filename = uploadfile.filename
             #if 'pending' in filename:
-            #    self.flash(_("You can't re-upload pending data files."))
+            #    self.flash(_("You can't re-upload pending data files."), type='danger')
             #    return
             if not filename.endswith('.csv'):
-                self.flash(_("Only csv files are allowed."))
+                self.flash(_("Only csv files are allowed."), type='danger')
                 return
             normalized_filename = self.getNormalizedFileName(filename)
@@ -1057,5 +1048,6 @@
                 self.context.storage, 'unfinished', normalized_filename)
             if os.path.exists(finished_file) or os.path.exists(unfinished_file):
-                self.flash(_("File with same name was uploaded earlier."))
+                self.flash(_("File with same name was uploaded earlier."),
+                           type='danger')
                 return
             target = os.path.join(self.context.storage, normalized_filename)
@@ -1071,5 +1063,5 @@
                     "has invalid CSV format. "
                     "First problematic line detected: line %s. "
-                    "Please replace." % invalid_line))
+                    "Please replace." % invalid_line), type='danger')
                 logger.info('%s - invalid file uploaded: %s' %
                             (ob_class, target))
@@ -1083,6 +1075,6 @@
 
         except IOError:
-            self.flash('Error while uploading file. Please retry.')
-            self.flash('I/O error: %s' % sys.exc_info()[1])
+            self.flash('Error while uploading file. Please retry.', type='danger')
+            self.flash('I/O error: %s' % sys.exc_info()[1], type='danger')
             return
         self.redirect(self.url(self.context))
@@ -1181,5 +1173,5 @@
     label = _(u'Process CSV file')
     pnav = 0
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def getFiles(self):
@@ -1193,5 +1185,4 @@
     def update(self, filename=None, select=None, cancel=None):
         if cancel is not None:
-            self.flash(_('Import aborted.'))
             self.redirect(self.url(self.context))
             return
@@ -1277,5 +1268,5 @@
             return
         if cancel is not None:
-            self.flash(_('Import aborted.'))
+            self.flash(_('Import aborted.'), type='warning')
             self.redirect(self.url(self.context))
             return
@@ -1289,5 +1280,5 @@
         if self.importer and 'update' in self.importer:
             if self.mode != 'update':
-                self.flash(_('Update mode only!'))
+                self.flash(_('Update mode only!'), type='warning')
                 self.mode_locked = True
                 self.mode = 'update'
@@ -1303,5 +1294,5 @@
         else:
             self.reader = ()
-            self.flash(warnings)
+            self.flash(warnings, type='warning')
 
 class DatacenterImportStep3(KofaPage):
@@ -1388,5 +1379,4 @@
 
     def update(self, headerfield=None, back2=None, cancel=None, proceed=None):
-        datatable.need()
         session = ISession(self.request)['waeup.kofa']
         self.filename = session.get('import_filename', None)
@@ -1401,5 +1391,5 @@
             return
         if cancel is not None:
-            self.flash(_('Import aborted.'))
+            self.flash(_('Import aborted.'), type='warning')
             self.redirect(self.url(self.context))
             return
@@ -1416,5 +1406,5 @@
         warnings = self.getWarnings()
         if warnings:
-            self.flash(warnings)
+            self.flash(warnings, type='warning')
 
 class DatacenterImportStep4(KofaPage):
@@ -1478,5 +1468,5 @@
         if self.warn_num:
             self.flash(_('Processing of ${a} rows failed.',
-                mapping = {'a':self.warn_num}))
+                mapping = {'a':self.warn_num}), type='warning')
         self.flash(_('Successfully processed ${a} rows.',
             mapping = {'a':linenum - self.warn_num}))
@@ -1506,5 +1496,5 @@
     pnav = 0
     search_button = _('Search')
-    back_button = _('Back')
+    back_button = _('Back to Data Center')
     placeholder = _('Enter a regular expression here...')
 
@@ -1516,5 +1506,5 @@
             self.flash(
                 _('Log files can only be searched ' +
-                  'on Unix-based operating systems.'))
+                  'on Unix-based operating systems.'), type='danger')
             self.redirect(self.url(self.context, '@@logs'))
             return
@@ -1530,8 +1520,8 @@
                 self.context.queryLogfiles(logname, query))
         except ValueError:
-            self.flash(_('Invalid search expression.'))
+            self.flash(_('Invalid search expression.'), type='danger')
             return
         if not self.result:
-            self.flash(_('No search results found.'))
+            self.flash(_('No search results found.'), type='warning')
         return
 
@@ -1545,5 +1535,5 @@
     save_button =_(u'Save')
     reset_button =_(u'Reset')
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def update(self, newpath=None, move=False, overwrite=False,
@@ -1562,8 +1552,8 @@
             for name in not_copied:
                 self.flash(_('File already existed (not copied): ${a}',
-                    mapping = {'a':name}))
+                    mapping = {'a':name}), type='danger')
         except:
-            self.flash(_('Given storage path cannot be used.'))
-            self.flash(_('Error: ${a}', mapping = {'a':sys.exc_info()[1]}))
+            self.flash(_('Given storage path cannot be used. ${a}',
+                        mapping = {'a':sys.exc_info()[1]}), type='danger')
             return
         if newpath:
@@ -1583,4 +1573,5 @@
     pnav = 0
     export_button = _(u'Create CSV file')
+    cancel_button =_(u'Back to Data Center')
 
     def getExporters(self):
@@ -1594,5 +1585,9 @@
         return sorted(title_name_tuples)
 
-    def update(self, CREATE=None, DISCARD=None, exporter=None, job_id=None):
+    def update(self, CREATE=None, DISCARD=None, exporter=None,
+               job_id=None, CANCEL=None):
+        if CANCEL is not None:
+            self.redirect(self.url(self.context))
+            return
         if CREATE:
             job_id = self.context.start_export_job(
@@ -1718,12 +1713,9 @@
         return _('Manage academic section')
 
-    def update(self):
-        warning.need()
-        return super(FacultiesContainerManageFormPage, self).update()
-
     @jsaction(_('Remove selected'))
     def delFaculties(self, **data):
         if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove entire faculties.'))
+            self.flash(_('You are not allowed to remove entire faculties.'),
+                       type='warning')
             return
         delSubobjects(self, redirect='@@manage', tab='1')
@@ -1758,10 +1750,11 @@
             self.context.addFaculty(faculty)
         except KeyError:
-            self.flash(_('The faculty code chosen already exists.'))
+            self.flash(_('The faculty code chosen already exists.'),
+                       type='danger')
             return
         ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         self.context.__parent__.logger.info(
             '%s - added: %s' % (ob_class, faculty.code))
-        self.redirect(self.url(self.context, u'@@manage')+'?tab1')
+        self.redirect(self.url(self.context, u'@@manage')+'#tab1')
         return
 
@@ -1806,19 +1799,9 @@
         return _('Manage faculty')
 
-    def update(self):
-        tabs.need()
-        self.tab1 = self.tab2 = self.tab3 = ''
-        qs = self.request.get('QUERY_STRING', '')
-        if not qs:
-            qs = 'tab1'
-        setattr(self, qs, 'active')
-        warning.need()
-        datatable.need()
-        return super(FacultyManageFormPage, self).update()
-
     @jsaction(_('Remove selected'))
     def delDepartments(self, **data):
         if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove entire departments.'))
+            self.flash(_('You are not allowed to remove entire departments.'),
+                       type='danger')
             return
         delSubobjects(self, redirect='@@manage', tab='2')
@@ -1841,5 +1824,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, '3', **data)
+        return add_local_role(self,3,**data)
 
     @action(_('Remove selected local roles'))
@@ -1878,5 +1861,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
         self.hitlist = []
@@ -1889,10 +1871,10 @@
         else:
             if 'search' in form:
-                self.flash(_('Empty search string'))
+                self.flash(_('Empty search string'), type='warning')
             return
         self.hitlist = self._find_students(query=self.searchterm,
             searchtype=self.searchtype, view=self)
         if not self.hitlist:
-            self.flash(_('No student found.'))
+            self.flash(_('No student found.'), type='warning')
         return
 
@@ -1914,5 +1896,6 @@
             self.context.addDepartment(department)
         except KeyError:
-            self.flash(_('The code chosen already exists in this faculty.'))
+            self.flash(_('The code chosen already exists in this faculty.'),
+                       type='danger')
             return
         self.status = self.flash(
@@ -1921,5 +1904,5 @@
         self.context.__parent__.__parent__.logger.info(
             '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'?tab2')
+        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
         return
 
@@ -1942,6 +1925,4 @@
 
     def update(self):
-        tabs.need()
-        datatable.need()
         super(DepartmentPage, self).update()
         return
@@ -1997,16 +1978,4 @@
             yield(dict(url=url, name=key, container=val))
 
-    def update(self):
-        tabs.need()
-        self.tab1 = self.tab2 = self.tab3 = self.tab4 = ''
-        qs = self.request.get('QUERY_STRING', '')
-        if not qs:
-            qs = 'tab1'
-        setattr(self, qs, 'active')
-        warning.need()
-        datatable.need()
-        super(DepartmentManageFormPage, self).update()
-        return
-
     @action(_('Save'), style='primary')
     def save(self, **data):
@@ -2022,5 +1991,6 @@
     def delCertificates(self, **data):
         if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove certificates.'))
+            self.flash(_('You are not allowed to remove certificates.'),
+                       type='warning')
             return
         delSubobjects(
@@ -2045,5 +2015,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 4, **data)
+        return add_local_role(self,4,**data)
 
     @action(_('Remove selected local roles'))
@@ -2076,5 +2046,5 @@
                 message += '<a href="%s">%s</a>' % (
                     self.url(entry), getattr(entry, '__name__', u'Unnamed'))
-                self.flash(message)
+                self.flash(message, type='warning')
             self.redirect(self.url(self.context, u'@@addcourse'))
             return
@@ -2084,5 +2054,5 @@
         self.context.__parent__.__parent__.__parent__.logger.info(
             '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'?tab2')
+        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
         return
 
@@ -2117,5 +2087,5 @@
                 message += '<a href="%s">%s</a>' % (
                     self.url(entry), getattr(entry, '__name__', u'Unnamed'))
-                self.flash(message)
+                self.flash(message, type='warning')
             self.redirect(self.url(self.context, u'@@addcertificate'))
             return
@@ -2125,5 +2095,5 @@
         self.context.__parent__.__parent__.__parent__.logger.info(
             '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'?tab3')
+        self.redirect(self.url(self.context, u'@@manage')+'#tab3')
         return
 
@@ -2165,15 +2135,4 @@
     form_fields = grok.AutoFields(ICourse).omit('code')
 
-    def update(self):
-        tabs.need()
-        self.tab1 = self.tab2 = ''
-        qs = self.request.get('QUERY_STRING', '')
-        if not qs:
-            qs = 'tab1'
-        setattr(self, qs, 'active')
-        warning.need()
-        datatable.need()
-        return super(CourseManageFormPage, self).update()
-
     @action(_('Save'), style='primary')
     def save(self, **data):
@@ -2187,5 +2146,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 2, **data)
+        return add_local_role(self,2,**data)
 
     @action(_('Remove selected local roles'))
@@ -2211,5 +2170,4 @@
 
     def update(self):
-        datatable.need()
         return super(CertificatePage, self).update()
 
@@ -2238,15 +2196,4 @@
         return _('Manage certificate')
 
-    def update(self):
-        tabs.need()
-        self.tab1 = self.tab2 = self.tab3 = ''
-        qs = self.request.get('QUERY_STRING', '')
-        if not qs:
-            qs = 'tab1'
-        setattr(self, qs, 'active')
-        warning.need()
-        datatable.need()
-        return super(CertificateManageFormPage, self).update()
-
     @action(_('Save'), style='primary')
     def save(self, **data):
@@ -2270,5 +2217,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 3, **data)
+        return add_local_role(self,3,**data)
 
     @action(_('Remove selected local roles'))
@@ -2293,5 +2240,5 @@
         except KeyError:
             self.status = self.flash(_('The chosen certificate course is already '
-                                  'part of this certificate.'))
+                                  'part of this certificate.'), type='warning')
             return
         self.status = self.flash(
@@ -2301,5 +2248,5 @@
         ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         grok.getSite().logger.info('%s - added: %s' % (ob_class, code))
-        self.redirect(self.url(self.context, u'@@manage')+'?tab2')
+        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
         return
 
@@ -2421,5 +2368,5 @@
         user = self._searchUser(identifier, email)
         if user is None:
-            self.flash(_('No record found.'))
+            self.flash(_('No record found.'), type='warning')
             return
         # Change password
@@ -2442,5 +2389,5 @@
                 'has been sent to ${a}.', mapping = {'a':email}))
         else:
-            self.flash(_('An smtp server error occurred.'))
+            self.flash(_('An smtp server error occurred.'), type='danger')
         ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         self.context.logger.info(
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 11254)
@@ -374,7 +374,4 @@
         self.browser.open(self.datacenter_path)
         self.browser.getLink("Upload data").click()
-        self.assertTrue(
-            '<a href="skeleton?name=facultyprocessor">Download</a>'
-            in self.browser.contents)
         self.browser.getLink(url='skeleton?name=facultyprocessor').click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 11254)
@@ -124,20 +124,5 @@
         """Get the icon URL.
         """
-        static = self.view.static
-        if static is None or static.get(self.icon, None) is None:
-            # In derived classes defined in other modules/packages
-            # than w.k.browser, ``static`` might refer to a static dir
-            # local to the derived class' module. As we often like to
-            # get the icons from here
-            # (i.e. waeup.kofa.browser/static), we set the directory
-            # resource appropiately.
-            #
-            # XXX: The hardcoding of 'w.k.browser' should be replaced
-            #      by something smarter.
-            #
-            # TODO: notes in here should go to general documentation.
-            static = queryAdapter(
-                self.request, Interface, name='waeup.kofa.browser')
-        return static[self.icon]()
+        return '/static/img/%s' % self.icon
 
     @property
